# Generated from bootstrap-datepicker-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bootstrap-datepicker

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: A datepicker for Bootstrap
License: Apache Version 2.0
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
A datepicker for Bootstrap.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.hgignore
%{gem_instdir}/.hgtags
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Gruntfile.js
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bower.json
%{gem_instdir}/build
%{gem_instdir}/compass
%{gem_instdir}/composer.json
%{gem_instdir}/css
%{gem_instdir}/js
%{gem_instdir}/less
%{gem_libdir}
%{gem_instdir}/package.json
%{gem_instdir}/sass
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bootstrap-datepicker.gemspec
%doc %{gem_instdir}/docs
%{gem_instdir}/test
%{gem_instdir}/tests

%changelog
* Mon Apr 18 2022 mockbuilder - 1.2.0-1
- Initial package
